#region Using directives

using System;
using System.Text;

#endregion

namespace ReadOnlycTextBox
{
    using System;
    using System.Runtime.CompilerServices;
    using System.Windows.Forms;

    public class ReadOnlyTextBox : IDisposable
    {
        //private variables

        private TextBox Ctrl;


        //public properties
        public Control ControlRef { get { return Ctrl; } }

        public double DLLVersion { get { return 1.0; } }

        public bool ReadOnly { get { return Ctrl.ReadOnly; } set { Ctrl.ReadOnly = value; } }


        // constructor

        public ReadOnlyTextBox(TextBox Target)
        {
            Ctrl = Target;
        }


        // dispose method

        public void Dispose()
        {
        }

    }
}
